Module | DL::Win32Types
In: | dl/lib/dl/types.rb

### Methods

included

### Public Instance methods

included(m)

[Source]

    # File dl/lib/dl/types.rb, line 3
        def included(m)
          m.module_eval{
            typealias "DWORD", "unsigned long"
            typealias "PDWORD", "unsigned long *"
            typealias "WORD", "unsigned short"
            typealias "PWORD", "unsigned short *"
            typealias "BOOL", "int"
            typealias "ATOM", "int"
            typealias "BYTE", "unsigned char"
            typealias "PBYTE", "unsigned char *"
            typealias "UINT", "unsigned int"
            typealias "ULONG", "unsigned long"
            typealias "UCHAR", "unsigned char"
            typealias "HANDLE", "unsigned long"
            typealias "PHANDLE", "void*"
            typealias "PVOID", "void*"
            typealias "LPCSTR", "char*"
            typealias "LPSTR", "char*"
            typealias "HINSTANCE", "unsigned int"
            typealias "HDC", "unsigned int"
            typealias "HWND", "unsigned int"
          }
        end

[Validate]